<?php
/**
 * @package m1 Theme
 */
?><!DOCTYPE html>
<!--[if IE 8]>
<html class="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if gt IE 8]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
<script>

	jQuery(document).ready(function($) {
		$('nav ul.menu').superfish({
			hoverClass:  'sfHover',
			disableHI:   true,
			delay:       0,                               // no delay on mouseout
			animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation
			speed:       'fast',                          // faster animation speed
			cssArrows:   true                             // arrows
		});
	});

</script>
<?php
	$hdr_bg_color = get_option('hdr_bg_color');
	$nav_bg_color = get_option('nav_bg_color');
	$text_color = get_option('text_color');
	$link_color = get_option('link_color');
	$accent_color = get_option('accent_color');
	$top_menu_link_color = get_option('top_menu_link_color');
	$link_hover_color = get_option('link_hover_color');
?>
<style>
	<?php if ( $hdr_bg_color ) : ?>.site-header, .site-footer { background-color:  <?php echo $hdr_bg_color; ?>; }<?php endif; ?>
	<?php if ( $nav_bg_color ) : ?>.top-menu-container, .top-menu ul ul, .navigation-main ul ul, .navigation-main li.sfHover:hover { background-color:  <?php echo $nav_bg_color; ?>; }<?php endif; ?>
	<?php if ( $text_color ) : ?>body, input, textarea, blockquote, h4 { color: <?php echo $text_color; ?>; }<?php endif; ?>
	<?php if ( $link_color ) : ?>#main a, #main a:visited, .site-footer a, .site-footer a:visited { color: <?php echo $link_color; ?>; }<?php endif; ?>
	<?php if ( $top_menu_link_color ) : ?>.top-menu a, .top-menu ul ul a, .navigation-main a, .navigation-main ul ul a, .navigation-main li.sfHover a { color: <?php echo $top_menu_link_color; ?>; }<?php endif; ?>
	<?php if ( $accent_color ) : ?>#main a:hover, a:focus, a:active, .site-title a, .top-menu li a:hover, .top-menu li.current_page_item > a, .top-menu li.current-menu-item > a, .navigation-main li a:hover, .navigation-main li.current_page_item > a, .navigation-main li.current-menu-item > a { color: <?php echo $accent_color; ?>; }
	button, .button, html input[type="button"], input[type="reset"], input[type="submit"], .more-link, .nav-previous a, .nav-next a, .page-links a { background-color: <?php echo $accent_color; ?>; }
	.site-header { border-top-color: <?php echo $accent_color; ?>; }
	<?php endif; ?>
	<?php if ( $link_hover_color ) : ?>#main a:hover, .site-footer a:hover, .top-menu li a:hover, .navigation-main li a:hover { color: <?php echo $link_hover_color; ?>; }
	button:hover, html input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .more-link:hover, .nav-previous a:hover, .nav-next a:hover, .page-links a:hover { background-color: <?php echo $link_hover_color; ?>; }
	<?php endif; ?>
	<?php if ( get_theme_mod( 'm1_layout' ) == "side-left" ) : ?>
	#primary { float: right; }
	#secondary { float: left; }
	<?php endif; ?>
</style>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<?php do_action( 'before' ); ?>
	<header id="masthead" class="site-header" role="banner">
		<section class="top-menu-container">
		  <div class="top-menu-inside">
			<div class="m1-social-icons">
				<?php if (get_theme_mod( 'm1_social_email' )) { ?><a href="mailto:<?php echo get_theme_mod( 'm1_social_email' ) ?>" target="_blank" title="Email"><span class='symbol'>&#xe224;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_tw' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_tw' ) ?>" target="_blank" title="Twitter"><span class='symbol'>&#xe286;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_fb' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_fb' ) ?>" target="_blank" title="Facebook"><span class='symbol'>&#xe227;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_rss' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_rss' ) ?>" target="_blank" title="RSS"><span class='symbol'>&#xe271;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_g' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_g' ) ?>" target="_blank" title="Google Plus"><span class='symbol'>&#xe239;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_li' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_li' ) ?>" target="_blank" title="LinkedIn"><span class='symbol'>&#xe252;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_pin' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_pin' ) ?>" target="_blank" title="Pinterest"><span class='symbol'>&#xe264;</span></a><?php } ?>
				<?php if (get_theme_mod( 'm1_social_yt' )) { ?><a href="<?php echo get_theme_mod( 'm1_social_yt' ) ?>" target="_blank" title="Youtube"><span class='symbol'>&#xe299;</span></a><?php } ?>
			</div>
		<?php if ( has_nav_menu( 'top' ) ) : ?>
				<nav id="top-site-nav" class="top-menu" role="navigation">
					<?php
						$args = array(
						'theme_location' => 'top'
						/*'container_class' => 'secondary-menu',
						'menu_class' => ''*/ );
						wp_nav_menu($args);
					?>
				</nav>
		<?php endif; ?>
		  </div>
		</section>
		
		<section class="site-branding">
		  <a class="nav-btn" id="nav-open-btn"><?php _e( 'Menu', 'm1' ); ?></a>
		  <div class="site-title-wrap">

			  <?php if ( get_theme_mod( 'm1_logo' ) ) : ?>
			          <a href="<?php echo esc_url( home_url( '/' ) ); ?>" id="site-logo" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo get_theme_mod( 'm1_logo' ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>
			  <?php else : ?>
			  
			  <hgroup>
			      <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			      <p class="site-description"><?php bloginfo( 'description' ); ?></p>
			  </hgroup>
			  
			  <?php endif; ?>
			  
		  </div><!-- .site-title-wrap -->
		  
		  <div id="header-widget-area">
		  	<?php dynamic_sidebar( 'header-widget-area' ); ?>
		  </div>
		  
		  <nav id="site-navigation" class="navigation-main" role="navigation">
		    <a class="close-btn" id="nav-close-btn"><?php _e( 'Close Menu', 'm1' ); ?></a>
		    <div class="screen-reader-text skip-link"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'm1' ); ?>"><?php _e( 'Skip to content', 'm1' ); ?></a></div>
		    <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
		  </nav><!-- #site-navigation -->
		  	
	    </section><!-- .site-branding -->
	</header><!-- #masthead -->

	<div id="main" class="site-main">